package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 共同借款人信息对象 tgjj_gtjkrxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjGtjkrxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 共同借款人公积金账号 */
    @Excel(name = "共同借款人公积金账号")
    private String GTJKRGJJZH;

    /** 借款合同编号 */
    @Excel(name = "借款合同编号")
    private String JKHTBH;

    /** 共同借款人姓名 */
    @Excel(name = "共同借款人姓名")
    private String GTJKRXM;

    /** 共同借款人证件类型 */
    @Excel(name = "共同借款人证件类型")
    private String GTJKRZJLX;

    /** 共同借款人证件号码 */
    @Excel(name = "共同借款人证件号码")
    private String GTJKRZJHM;

    /** 月收入 */
    @Excel(name = "月收入")
    private BigDecimal YSR;

    /** 参贷关系 */
    @Excel(name = "参贷关系")
    private String CDGX;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String SJHM;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型（LIST1|插入/2|更新/3|删除/） */
    @Excel(name = "处理类型", readConverterExp = "L=IST1|插入/2|更新/3|删除/")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setGTJKRGJJZH(String GTJKRGJJZH)
    {
        this.GTJKRGJJZH = GTJKRGJJZH;
    }

    public String getGTJKRGJJZH()
    {
        return GTJKRGJJZH;
    }
    public void setJKHTBH(String JKHTBH)
    {
        this.JKHTBH = JKHTBH;
    }

    public String getJKHTBH()
    {
        return JKHTBH;
    }
    public void setGTJKRXM(String GTJKRXM)
    {
        this.GTJKRXM = GTJKRXM;
    }

    public String getGTJKRXM()
    {
        return GTJKRXM;
    }
    public void setGTJKRZJLX(String GTJKRZJLX)
    {
        this.GTJKRZJLX = GTJKRZJLX;
    }

    public String getGTJKRZJLX()
    {
        return GTJKRZJLX;
    }
    public void setGTJKRZJHM(String GTJKRZJHM)
    {
        this.GTJKRZJHM = GTJKRZJHM;
    }

    public String getGTJKRZJHM()
    {
        return GTJKRZJHM;
    }
    public void setYSR(BigDecimal YSR)
    {
        this.YSR = YSR;
    }

    public BigDecimal getYSR()
    {
        return YSR;
    }
    public void setCDGX(String CDGX)
    {
        this.CDGX = CDGX;
    }

    public String getCDGX()
    {
        return CDGX;
    }
    public void setSJHM(String SJHM)
    {
        this.SJHM = SJHM;
    }

    public String getSJHM()
    {
        return SJHM;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("GTJKRGJJZH", getGTJKRGJJZH())
            .append("JKHTBH", getJKHTBH())
            .append("GTJKRXM", getGTJKRXM())
            .append("GTJKRZJLX", getGTJKRZJLX())
            .append("GTJKRZJHM", getGTJKRZJHM())
            .append("YSR", getYSR())
            .append("CDGX", getCDGX())
            .append("SJHM", getSJHM())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
